% this function creates a translation operator on y axis
function matrix_trans = matrix_translate(SuS, heset)
% SuS - size of the image boundaries
% heset - offset
    mult=prod(SuS);
    row1 = zeros(1, mult);
    non_zero = floor(1 - heset) : ceil(1 - heset);
    vals = LKernel(1 - heset - non_zero);
    temp=mult - non_zero(non_zero < 1);
    non_zero(non_zero < 1) = temp;
    row1(non_zero) = vals;
    col1 = zeros(1, mult);
    col1(2) = row1(end);
    col1(1) = row1(1);   
    matrix_trans = toeplitz(col1, row1);    
end